# tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node Struct Reference

List of all members.

## Public Member Functions
| node (const Key &key)
| node (const Key &key, const T &t)
void * | operator new (size_t, node_allocator_type &a)
void | operator delete (void *ptr, node_allocator_type &a)
## Public Attributes
value_type | item

### template<typename Key, typename T, typename HashCompare, typename Allocator>
struct tbb::interface5::concurrent_hash_map< Key, T, HashCompare, Allocator >::node

The documentation for this struct was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.